CREATE TABLE irc_tc_req_packages (
    TC_REQ_PACKAGE_ID        NUMBER(18, 0),
    TC_REQ_CONFIG_ID         NUMBER(18, 0)    NOT NULL,
    PACKAGE_CODE             VARCHAR2(120),
    TRIGGER_TYPE_CODE        VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TC_REQ_PACKAGE_ID        NUMBER(18, 0),
    TC_REQ_CONFIG_ID         NUMBER(18, 0)    NOT NULL,
    PACKAGE_CODE             VARCHAR2(120),
    TRIGGER_TYPE_CODE        VARCHAR2(120),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_irc_tc_req_packages PRIMARY KEY (TC_REQ_PACKAGE_ID, TC_REQ_PACKAGE_ID)
);
